package cc.smtweb.system.bpm.web.sys.base.attachFolder;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-08-03 12:31:51
 * 实体【[附件目录](SYS_ATTACH_FOLDER)】的Entity类
 */
@SwTable("SYS_ATTACH_FOLDER")
public class AttachFolder extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_ATTACH_FOLDER";

    public AttachFolder() {
        super(ENTITY_NAME);
    }

    /**
     * 主键
     */
    public long getId() {
        return getLong("folder_id");
    }

    /**
     * 主键
     */
    public void setId(long folder_id) {
        put("folder_id", folder_id);
    }

    /**
     * 远程路径
     */
    public String getPath() {
        return getStr("folder_path");
    }

    /**
     * 远程路径
     */
    public void setPath(String folder_path) {
        put("folder_path", folder_path);
    }

    /**
     * 年月目录
     */
    public String getPeriod() {
        return getStr("folder_period");
    }

    /**
     * 年月目录
     */
    public void setPeriod(String folder_period) {
        put("folder_period", folder_period);
    }

    /**
     * 最大序号
     */
    public int getMaxSeq() {
        return getInt("folder_max_seq");
    }

    /**
     * 最大序号
     */
    public void setMaxSeq(int folder_max_seq) {
        put("folder_max_seq", folder_max_seq);
    }

    /**
     * 文件个数
     */
    public long getFileCount() {
        return getLong("folder_file_count");
    }

    /**
     * 文件个数
     */
    public void setFileCount(long folder_file_count) {
        put("folder_file_count", folder_file_count);
    }
}
